tntdb::Row Class Reference

Row represents a row, which is fetched from the database. More...

`#include <row.h>`

## Classes

class | const_iterator

## Public Types

typedef unsigned | size_type
typedef Value | value_type

## Public Member Functions

| Row (IRow *row_)
unsigned | size () const
| Returns the number of columns of this row.
bool | empty () const
| Returns true, if this row-object has no columns.
Value | getValue (size_type field_num) const
| Returns the field_num's value-object.
Value | getValue (const std::string &field_name) const
| Returns the value-object by name.
Value | operator[] (size_type field_num) const
| Returns the field_num's value-object.
Value | operator[] (const std::string &field_name) const
| Returns the value-object by name.
std::string | getName (size_type field_num) const
| Returns the name of the field_num's column.
bool | isNull (size_type field_num) const
| Return true, if the specified value is null.
bool | isNull (const std::string &field_name) const
| Return true, if the specified value is null.
bool | getBool (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type.
short | getShort (size_type field_num) const
int | getInt (size_type field_num) const
long | getLong (size_type field_num) const
unsigned short | getUnsignedShort (size_type field_num) const
unsigned | getUnsigned (size_type field_num) const
unsigned long | getUnsignedLong (size_type field_num) const
int32_t | getInt32 (size_type field_num) const
uint32_t | getUnsigned32 (size_type field_num) const
int64_t | getInt64 (size_type field_num) const
uint64_t | getUnsigned64 (size_type field_num) const
Decimal | getDecimal (size_type field_num) const
float | getFloat (size_type field_num) const
double | getDouble (size_type field_num) const
char | getChar (size_type field_num) const
std::string | getString (size_type field_num) const
void | getString (size_type field_num, std::string &ret) const
Blob | getBlob (size_type field_num) const
void | getBlob (size_type field_num, Blob &ret) const
Date | getDate (size_type field_num) const
Time | getTime (size_type field_num) const
Datetime | getDatetime (size_type field_num) const
bool | getBool (const std::string &field_name) const
short | getShort (const std::string &field_name) const
int | getInt (const std::string &field_name) const
long | getLong (const std::string &field_name) const
unsigned | getUnsigned (const std::string &field_name) const
unsigned long | getUnsignedLong (const std::string &field_name) const
int32_t | getInt32 (const std::string &field_name) const
uint32_t | getUnsigned32 (const std::string &field_name) const
int64_t | getInt64 (const std::string &field_name) const
uint64_t | getUnsigned64 (const std::string &field_name) const
Decimal | getDecimal (const std::string &field_name) const
float | getFloat (const std::string &field_name) const
double | getDouble (const std::string &field_name) const
char | getChar (const std::string &field_name) const
std::string | getString (const std::string &field_name) const
void | getString (const std::string &field_name, std::string &ret) const
Blob | getBlob (const std::string &field_name) const
void | getBlob (const std::string &field_name, Blob &ret) const
Date | getDate (const std::string &field_name) const
Time | getTime (const std::string &field_name) const
Datetime | getDatetime (const std::string &field_name) const
template<typename T>
bool | getValue (size_type field_num, T &ret) const
const_iterator | begin () const
| Returns a iterator to the first column.
const_iterator | end () const
| Returns a iterator past the last column.
bool | operator! () const
| Returns true, if this class is not connected to a actual databaserow.
const IRow * | getImpl () const
| Returns the actual implementation-class.
RowReader | reader (size_type n=0) const
| Instantiates a tntdb::RowReader with the passed initial column counter.
template<typename T>
RowReader | get (T &ret) const
| Instantiates a tntdb::RowReader and fetches the value of the first column.
template<typename T>
RowReader | get (T &ret, bool &nullInd) const
| Instantiates a tntdb::RowReader and fetches the value of the first column and sets the null indicator.

## Detailed Description

Row represents a row, which is fetched from the database.

## Member Function Documentation

## begin()

const_iterator tntdb::Row::begin | ( |  | ) | const

Returns a iterator to the first column.

## empty()

bool tntdb::Row::empty | ( |  | ) | const

inline

Returns true, if this row-object has no columns.

## end()

const_iterator tntdb::Row::end | ( |  | ) | const

Returns a iterator past the last column.

## get() [1/2]

template<typename T>

RowReader tntdb::Row::get | ( | T & | ret | ) | const

Instantiates a tntdb::RowReader and fetches the value of the first column.

## get() [2/2]

template<typename T>

RowReader tntdb::Row::get | ( | T & | ret,
|  | bool & | nullInd ) const

Instantiates a tntdb::RowReader and fetches the value of the first column and sets the null indicator.

## getBool()

bool tntdb::Row::getBool | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getImpl()

const IRow * tntdb::Row::getImpl | ( |  | ) | const

inline

Returns the actual implementation-class.

## getName()

std::string tntdb::Row::getName | ( | size_type | field_num | ) | const

inline

Returns the name of the field_num's column.

## getValue() [1/2]

Value tntdb::Row::getValue | ( | const std::string & | field_name | ) | const

inline

Returns the value-object by name.

## getValue() [2/2]

Value tntdb::Row::getValue | ( | size_type | field_num | ) | const

inline

Returns the field_num's value-object.

## isNull() [1/2]

bool tntdb::Row::isNull | ( | const std::string & | field_name | ) | const

inline

Return true, if the specified value is null.

## isNull() [2/2]

bool tntdb::Row::isNull | ( | size_type | field_num | ) | const

inline

Return true, if the specified value is null.

## operator!()

bool tntdb::Row::operator! | ( |  | ) | const

inline

Returns true, if this class is not connected to a actual databaserow.

## operator[]() [1/2]

Value tntdb::Row::operator[] | ( | const std::string & | field_name | ) | const

inline

Returns the value-object by name.

## operator[]() [2/2]

Value tntdb::Row::operator[] | ( | size_type | field_num | ) | const

inline

Returns the field_num's value-object.

## reader()

RowReader tntdb::Row::reader | ( | Row::size_type | n = 0 | ) | const

inline

Instantiates a tntdb::RowReader with the passed initial column counter.

## size()

unsigned tntdb::Row::size | ( |  | ) | const

inline

Returns the number of columns of this row.

The documentation for this class was generated from the following files:

- tntdb/bits/row.h
- tntdb/bits/rowreader.h